@echo off

cd /d %~dp0
echo Initialize a new SSL certificate
rem openssl req -outform DER -newkey rsa:2048 -nodes -keyout rsa_private.key -x509 -days 3650 -out rftd.crt -subj "/C=CN/ST=CQ/L=CQ/O=ranfs/OU=dev/CN=ranfs.com/emailAddress=tech@ranfs.com"
rem openssl rsa -in rsa_private.key -outform DER -out rftd.key
rem del rsa_private.key

rftd -q -s new_key_x509_file=1
if "%1"=="" pause

